# KSP

Abstract PETSc object that manages all Krylov methods

### Synopsis

    typedef struct _p_KSP*     KSP;

### See Also

KSPCreate(), KSPSetType(), KSPType, SNES, TS, PC, KSP

Level:beginner
Location:src/ksp/ksp/../../../include/petscksp.h
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/examples/tutorials/ex1.c.html
src/ksp/examples/tutorials/ex2.c.html
src/ksp/examples/tutorials/ex3.c.html
src/ksp/examples/tutorials/ex4.c.html
src/ksp/examples/tutorials/ex5.c.html
src/ksp/examples/tutorials/ex7.c.html
src/ksp/examples/tutorials/ex8.c.html
src/ksp/examples/tutorials/ex9.c.html
src/ksp/examples/tutorials/ex10.c.html
src/ksp/examples/tutorials/ex11.c.html
src/ksp/examples/tutorials/ex12.c.html